{#<pagetitle>NHS.UK | Mothers - name</pagetitle>#}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/select/macro.njk' import select %}
{% from '../../../common/components/label/macro.njk' import label %}
{% from 'components/hint/macro.njk' import hint %}



<form action="other-mothers-name" method="post" class="form">
    <fieldset class="nhsuk-fieldset">

    {{ heading({
        subHeading:{
            text: 'other-mothers-name.section.heading'
        },
        text: 'other-mothers-name.h1',
        classes: 'nhsuk-heading-l govuk-heading-l',
        locale: locale
        })
    }}

    {{ p({
      "text": 'other-mothers-name.hint',
      "classes" : 'nhsuk-hint',
      locale:locale
    }) }}


    <div class="nhsuk-form-group {% if errors %}{% for error in errors %}{% if error.param === 'VpTitle'%} nhsuk-form-group--error {% endif %}{% endfor %}{% endif %}">
      {% if errors %} {% for error in errors %} {% if error.param === 'VpTitle' %}
        <span class="nhsuk-error-message">{{ __({phrase: error.msg, locale: error.locale }) }}</span>
      {% endif %} {% endfor %} {% endif %}
        {{ select({
          "id": "VpTitle",
          "name": "VpTitle",
          "label": {
                   "text": "other-mothers-name.titlelabel",
                   locale: locale
            },
          "errorMessage": parseErrors(errors, 'VpTitle'),
        "items": [
            {
              "value": '',
              "text": '',

              selected : data.VaccinatedPersonDetails.VpTitle === ''
            },
            {
              "value": 'Mrs',
              "text": 'common.title.mrs',
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Mrs'
            },
            {
              "value": 'Miss',
              "text": "common.title.miss",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Miss'
            },
            {
              "value": 'Ms',
              "text": "common.title.ms",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Ms'
            },
            {
              "value": 'Mr',
              "text": "common.title.mr",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Mr'
            },
            {
              "value": 'Mx',
              "text": "common.title.mx",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Mx'
            },
            {
              "value": 'Master',
              "text": "common.title.master",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Master'
            },
            {
              "value": 'Dr',
              "text": "common.title.dr",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Dr'
            },
            {
              "value": 'Sr',
              "text": "common.title.sr",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Sr'
            },
            {
              "value": 'Fr',
              "text": "common.title.fr",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Fr'
            },
            {
              "value": 'Sir',
              "text": "common.title.sir",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Sir'
            },
            {
              "value": 'Madam',
              "text": "common.title.madam",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Madam'
            },
            {
              "value": 'Lady',
              "text": "common.title.lady",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Lady'
            },
            {
              "value": 'Lord',
              "text": "common.title.lord",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Lord'
            },
            {
              "value": 'Br',
              "text": "common.title.br",
              locale: locale,
              selected : data.VaccinatedPersonDetails.VpTitle === 'Br'
            }
          ]
        }) }}
    </div>

    {{ input({
      "label": {
       "text": "other-mothers-name.input1",
       locale:locale
     },
      "id": "VpForename",
      "name": "VpForename",
      "value": data.VaccinatedPersonDetails.VpForename,
        "errorMessage": parseErrors(errors, 'VpForename'),
    "classes": "nhsuk-input--width-20"
    }) }}

    {{ input({
      "label": {
         "text": "other-mothers-name.input2",
         locale:locale
       },
      "id": "VpMiddlename",
      "name": "VpMiddlename",
      "value": data.VaccinatedPersonDetails.VpMiddlename,
      "errorMessage": parseErrors(errors, 'VpMiddlename'),
    "classes": "nhsuk-input--width-20"
    }) }}

    {{ input({
      "label": {
       "text": "other-mothers-name.input3",
       locale:locale
     },
      "id": "VpSurname",
      "name": "VpSurname",
      "value": data.VaccinatedPersonDetails.VpSurname,
     "errorMessage": parseErrors(errors, 'VpSurname'),
    "classes": "nhsuk-input--width-20"
    }) }}

    <br>
    {{ button({
      type: "submit",
      text: "common.button.continue",
      locale: locale
    }) }}
  </fieldset>
</form>